Skip to main content
GET
/
v1
/
payment-methods
Get payment methods
curl --request GET \
  --url https://api.cadanapay.com/v1/payment-methods \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/payment-methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "country": "BR",
    "countryName": "Brazil",
    "paymentMethods": [
      {
        "type": "bank",
        "currency": "BRL",
        "status": "active"
      },
      {
        "type": "proxy",
        "currency": "BRL",
        "status": "active"
      },
      {
        "type": "swift",
        "currency": "USD",
        "status": "active"
      }
    ]
  }
]
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}
{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Query Parameters

countryCode
string

The country code in ISO 3166-1 alpha-2 format

paymentMethod
string

The payment method to filter by

currency
string

The currency to filter by

Response

Available payment methods, one entry per country matching the query

country
string
required

The country code in ISO 3166-1 alpha-2 format

Example:

"BR"

paymentMethods
object[]
required
countryName
string

The country's display name

Example:

"Brazil"